Jackett installeren command line Ubuntu

In deze Jackett installeren command line Ubuntu. Gaan we het programma Jackett installeren. Op een Ubuntu systeem. Zodat je extra Torrent providers, tot je beschikking hebt. Voor bijvoorbeeld Sonnar, CouchPotato of SickRage.

We moeten, de benodigde software voor Jackett installeren.

sudo apt-get install libcurl4-openssl-dev bzip2 -y

We gaan Jackett. Nu downloaden.

jackettver=$(wget -q https://github.com/Jackett/Jackett/releases/latest -O – | grep -E \/tag\/ | awk -F “[><]” ‘{print $3}’) wget -q https://github.com/Jackett/Jackett/releases/download/$jackettver/Jackett.Binaries.Mono.tar.gz

We gaan Jackett  nu uitpakken.

tar -xvf Jackett*

We maken een mapje voor Jackett aan.

sudo mkdir /opt/jackett

Nu gaan we de inhoud van de uitgepakte bestanden verplaatsen. Naar het mapje van Jackett

sudo mv Jackett/* /opt/jackett

We moeten de map rechten nu goed zetten op de map van Jackket.

sudo chown -R username:username /opt/jackett

Nu testen we of Jackett start.

mono /opt/jackett/JackettConsole.exe

Als Jackett, is gestart op “http://je-ip-adres:9117”. Dan moet je Jackett. Nu weer sluiten met CTRL+C.

Jackett automatisch starten Ubuntu

We gaan nu een opstart scriptje maken voor Jackett.

sudo nano /etc/init.d/jackett

Het volgende scriptje hier in plakken. Let op! Pas de gebruikersnaam aan. Naar die van je eigen.

# locatie waar de ap staat,
APP_PATH=/opt/jackett

# user
RUN_AS=je gebruikersnaam

# path to mono bin
DAEMON=$(which mono)

# Locatie waar de pid staatr
PID_FILE=/var/run/jackett/jackett.pid
PID_PATH=$(dirname $PID_FILE)

# script naam
NAME=jackett

# app naam
DESC=Jackett

# osptart
EXENAME=”JackettConsole.exe”
DAEMON_OPTS=” “$EXENAME

JACKETT_PID=`ps auxf | grep $EXENAME | grep -v grep | awk ‘{print $2}’`

test -x $DAEMON || exit 0

set -e

#Look for PID and create if doesn’t exist
if [ ! -d $PID_PATH ]; then
mkdir -p $PID_PATH
chown $RUN_AS $PID_PATH
fi

if [ ! -d $DATA_DIR ]; then
mkdir -p $DATA_DIR
chown $RUN_AS $DATA_DIR
fi

if [ -e $PID_FILE ]; then
PID=`cat $PID_FILE`
if ! kill -0 $PID > /dev/null 2>&1; then
echo “Removing stale $PID_FILE”
rm $PID_FILE
fi
fi

echo $JACKETT_PID > $PID_FILE

case “$1” in
start)
if [ -z “${JACKETT_PID}” ]; then
echo “Starting $DESC”
rm -rf $PID_PATH || return 1
install -d –mode=0755 -o $RUN_AS $PID_PATH || return 1
start-stop-daemon -d $APP_PATH -c $RUN_AS –start –background –pidfile $PID_FILE –exec $DAEMON — $DAEMON_OPTS
else
echo “Jackett already running.”
fi
;;
stop)
echo “Stopping $DESC”
echo $JACKETT_PID > $PID_FILE
start-stop-daemon –stop –pidfile $PID_FILE –retry 15
;;

restart|force-reload)
echo “Restarting $DESC”
start-stop-daemon –stop –pidfile $PID_FILE –retry 15
start-stop-daemon -d $APP_PATH -c $RUN_AS –start –background –pidfile $PID_FILE –exec $DAEMON — $DAEMON_OPTS
;;
status)
# Use LSB function library if it exists
if [ -f /lib/lsb/init-functions ]; then
. /lib/lsb/init-functions
if [ -e $PID_FILE ]; then
status_of_proc -p $PID_FILE “$DAEMON” “$NAME” && exit 0 || exit $?
else
log_daemon_msg “$NAME is not running”
exit 3
fi

else
# Use basic functions
if [ -e $PID_FILE ]; then
PID=`cat $PID_FILE`
if kill -0 $PID > /dev/null 2>&1; then
echo ” * $NAME is running”
exit 0
fi
else
echo ” * $NAME is not running”
exit 3
fi
fi
;;
*)
N=/etc/init.d/$NAME
echo “Usage: $N {start|stop|restart|force-reload|status}” >&2
exit 1
;;
esac

exit 0

Maak het scriptje uitvoerbaar.

sudo chmod +x /etc/init.d/jackett

Nu het opstart Ubuntu updaten.

sudo update-rc.d jackett defaults

Nu kunnen we Jackett starten.

sudo service jackett start

Nu moeten we voor Jackett. Een opstart file aanmaken.

sudo nano /etc/init/jackett.conf

Kopieer en plak hier het onderstaande in.

#opstart scriptje

env DIR=/opt/jackett
setuid user
setgid nogroup

start on runlevel [2345]

stop on runlevel [016]

exec mono $DIR/JackettConsole.exe

Je bent nu klaar met de installatie van Jackett.

Share This

Geef een reactie